Search documentation of megaco

# megaco_codec_meas (megaco v4.8.3)

View Source

This module implements a simple megaco codec measurement tool.

Results are written to file (excel compatible text files) and on stdout.

Note that this module is not included in the runtime part of the application.

# Summary

## Functions

start()

Equivalent to `start/1`.

start(MessagePackage)

This function runs the measurement on all the official codecs; pretty, compact, ber, per and erlang.

# Functions

# start()

Equivalent to `start/1`.

# start(MessagePackage)

    -spec start([MessagePackage]) -> ok when MessagePackage :: atom();
               (MessagePackage) -> ok when MessagePackage :: atom();
               (Factor) -> ok when Factor :: pos_integer().

This function runs the measurement on all the official codecs; pretty, compact, ber, per and erlang.

This function is intended to be called from the meas script, which uses the '-s' arguments to run the function:

    erl -s megaco_codec_meas start time_test